# List recording storage metrics

Recording Storage Metrics are data related to the call recordings in a given workspace. We charge for recording storage on a per-byte basis.

This endpoint provides details on the storage usage for charging calculation.

In order to retrieve recording storage metrics, you can use the following endpoint:

## List recording storage metrics

> List recordings metrics

```json
{"openapi":"3.0.3","info":{"title":"Voice","version":"v1"},"tags":[],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"parameters":{"queryLimit":{"name":"limit","description":"Limits the number of results to return","in":"query","schema":{"type":"integer","minimum":1,"maximum":99,"default":10}},"queryCursor":{"name":"pageToken","description":"Pagination token that keeps of track of the current position in the list","in":"query","schema":{"type":"string","maxLength":8000}},"sourceId":{"name":"sourceId","in":"query","schema":{"$ref":"#/components/schemas/sourceId"}}},"schemas":{"sourceId":{"title":"Source ID","description":"The ID for the source.","type":"string","format":"uuid"},"RecordingMetrics":{"type":"object","additionalProperties":false,"properties":{"counter":{"type":"integer","format":"int64"},"dailyStorageUsage":{"type":"object","additionalProperties":{"type":"integer"}},"updatedAt":{"type":"string","format":"date-time"}}},"Error":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"message":{"type":"string","minLength":5}}}},"responses":{"Error":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"required":["code","message"],"properties":{"code":{"type":"string","minLength":5},"message":{"type":"string","minLength":5},"details":{"type":"object","additionalProperties":true}}}}}}}},"paths":{"/workspaces/{workspaceId}/recording-metrics":{"get":{"summary":"List recording storage metrics","description":"List recordings metrics","operationId":"listRecordingsMetrics","tags":["voice-recordings"],"parameters":[{"$ref":"#/components/parameters/queryLimit"},{"$ref":"#/components/parameters/queryCursor"},{"$ref":"#/components/parameters/sourceId"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RecordingMetrics"}}}},"404":{"$ref":"#/components/responses/Error"},"422":{"description":"Unprocessable Entity","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

{% tabs %}
{% tab title="Request" %}

```
curl "/workspaces/{workspaceId}/recording-metrics" \
     -H 'Authorization: AccessKey YOUR_SECRET_TOKEN'
```

{% endtab %}

{% tab title="Response" %}

```
{
  "counter": 27,
  "duration": 704,
  "dailyStorageUsage": {},
  "updatedAt": "2023-07-07T11:53:28.176Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/voice-api/recordings-api/list-recording-storage-metrics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
